Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface NamedDomainObjectList

    org.gradle.api.NamedDomainObjectCollection
      java.lang.Iterable
          org.gradle.api.DomainObjectCollection
              java.util.Collection
                  org.gradle.api.NamedDomainObjectList

All Superinterfaces:
  NamedDomainObjectCollection, Iterable, DomainObjectCollection, Collection

    public interface NamedDomainObjectList
    extends NamedDomainObjectCollection, List

A specialisation of NamedDomainObjectCollection that also implements List.

All object equality is determined in terms of object names. That is, calling `remove()` with an object that is NOT equal to an existing object in terms of `equals`, but IS in terms of name equality will result in the existing collection item with the equal name being removed.

Parameters:
  `` - The type of element in the set

Method Summary
`List` | `findAll(Closure spec)` {@inheritDoc}
`NamedDomainObjectList` | `matching(Spec spec)` {@inheritDoc}
`NamedDomainObjectList` | `matching(Closure spec)` {@inheritDoc}
`NamedDomainObjectList` | `withType(Class type)` {@inheritDoc}

Methods inherited from interface NamedDomainObjectCollection
add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getRules, matching, matching, withType

Methods inherited from interface List
add, add, get, equals, hashCode, indexOf, clear, contains, isEmpty, lastIndexOf, size, subList, toArray, toArray, addAll, addAll, iterator, remove, remove, set, containsAll, listIterator, listIterator, removeAll, retainAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### findAll

    public List findAll(Closure spec)

  {@inheritDoc}

### matching

    public NamedDomainObjectList matching(Spec spec)

  {@inheritDoc}

### matching

    public NamedDomainObjectList matching(Closure spec)

  {@inheritDoc}

### withType

    public NamedDomainObjectList withType(Class type)

  {@inheritDoc}

Gradle API 1.1-rc-1